TransferHandler (The Data Transfer Agent Service 1.1.0-SNAPSHOT API)
Date: 2012-10-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.agent.impl.handlers
Class TransferHandler

    java.lang.Object
      org.gcube.datatransfer.agent.impl.handlers.TransferHandler

All Implemented Interfaces:
  Runnable

Direct Known Subclasses:
  LocalFileTransferAsyncHandler, StorageManagerAsyncHandler

    public abstract class TransferHandler

extends Object
implements Runnable

Author:
  andrea

Field Summary
`protected org.gcube.datatransfer.agent.stubs.datatransferagent.DestData` | `destData`
`protected org.apache.commons.vfs2.FileObject` | `inputFile`
`protected String` | `outPath`
`protected int` | `timeout`
`protected String` | `transferId`
`protected org.gcube.datatransfer.agent.stubs.datatransferagent.TransferType` | `transferType`

Constructor Summary
`TransferHandler()`

Method Summary
`TransferObject` | `getTransferObj()`
`void` | `setTransferObj(TransferObject transferObj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.lang.Runnable
`run`

Field Detail

### inputFile

    protected org.apache.commons.vfs2.FileObject inputFile

### timeout

    protected int timeout

### outPath

    protected String outPath

### transferId

    protected String transferId

### transferType

    protected org.gcube.datatransfer.agent.stubs.datatransferagent.TransferType transferType

### destData

    protected org.gcube.datatransfer.agent.stubs.datatransferagent.DestData destData

Constructor Detail

### TransferHandler

    public TransferHandler()

Method Detail

### getTransferObj

    public TransferObject getTransferObj()

### setTransferObj

    public void setTransferObj(TransferObject transferObj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.